const I18NEXT_PLURALS = ["zero", "one", "two", "few", "many", "other"];

/*
  Matches the following:
    - t(`some.${key}`), t(key), t(getKey()), t(key, { count: 1 })
    - i18nKey={`some.${key}`}, i18nKey={key}, i18nKey={getKey()}
*/
const INTERPOLATED_TRANSLATION_KEY_REGEX =
  /(?<![a-z0-9])t\((?:\s*`.*`|\s*[a-z0-9\-_()]*)(?:,.*)?\s*\)|i18nKey={\s*(`.*`|[a-z0-9-_()]*)\s*}/gi;

module.exports = { I18NEXT_PLURALS, INTERPOLATED_TRANSLATION_KEY_REGEX };
