'use strict';

var react = require('@honeybadger-io/react');
var reactUtils_HoneybadgerErrorBoundary_constants = require('./constants.js');
var reactUtils_HoneybadgerErrorBoundary_FallbackComponent = require('./FallbackComponent.js');
var reactUtils_HoneybadgerErrorBoundary_utils = require('./utils.js');
var jsxRuntime = require('react/jsx-runtime');
require('../../defineProperty-lChFfVqi.js');
require('../../typeof-D4ZZ_FlZ.js');
require('react');
require('dompurify');
require('@bigbinary/neetoui/Button');
require('@bigbinary/neetoui/Typography');
require('ramda');
require('react-i18next');

var HoneybadgerErrorBoundary = function HoneybadgerErrorBoundary(_ref) {
  var children = _ref.children,
    _ref$ErrorComponent = _ref.ErrorComponent,
    ErrorComponent = _ref$ErrorComponent === void 0 ? reactUtils_HoneybadgerErrorBoundary_FallbackComponent : _ref$ErrorComponent,
    _ref$filterErrors = _ref.filterErrors,
    filterErrors = _ref$filterErrors === void 0 ? undefined : _ref$filterErrors;
  react.Honeybadger.beforeNotify(function (notice) {
    var _globalProps$user;
    if (!notice) return false;
    var isIgnorable = reactUtils_HoneybadgerErrorBoundary_constants.IGNORABLE_ERRORS_REGEX.test(notice.message) || reactUtils_HoneybadgerErrorBoundary_constants.IGNORABLE_ERROR_NAMES_REGEX.test(notice.name) || reactUtils_HoneybadgerErrorBoundary_constants.IGNORABLE_STACKS_REGEX.test(notice.stack) || (filterErrors === null || filterErrors === void 0 ? void 0 : filterErrors(notice)) === false;
    if (isIgnorable) return false;
    var context = {
      errorClass: notice.name
    };
    if (notice.name === "ChunkLoadError") {
      context.IGNORABLE_ERROR_NAMES_REGEX = reactUtils_HoneybadgerErrorBoundary_constants.IGNORABLE_ERROR_NAMES_REGEX;
      context.isChunkLoadError = reactUtils_HoneybadgerErrorBoundary_constants.IGNORABLE_ERROR_NAMES_REGEX.test(notice.name);
    }
    var user = (_globalProps$user = globalProps.user) === null || _globalProps$user === void 0 ? void 0 : _globalProps$user.email;
    if (user) context.user = user;
    var sessionReplay = reactUtils_HoneybadgerErrorBoundary_utils.getSessionReplayUrl();
    if (sessionReplay) context.sessionReplay = sessionReplay;
    reactUtils_HoneybadgerErrorBoundary_utils.attachContext(notice, context);
    return true;
  });
  var honeybadger = react.Honeybadger.configure({
    apiKey: globalProps.honeybadgerApiKey,
    environment: globalProps.railsEnv,
    revision: globalProps.honeybadgerRevision,
    developmentEnvironments: ["development", "test"],
    enableUncaught: true,
    async: true,
    breadcrumbsEnabled: true,
    projectRoot: "webpack:///./",
    enableUnhandledRejection: false
  });
  return /*#__PURE__*/jsxRuntime.jsx(react.HoneybadgerErrorBoundary, {
    ErrorComponent: ErrorComponent,
    honeybadger: honeybadger,
    children: children
  });
};

module.exports = HoneybadgerErrorBoundary;
//# sourceMappingURL=HoneybadgerErrorBoundary.js.map
