'use strict';

var react = require('react');
var ramda = require('ramda');
var reactUtils_useBreakpoints_utils = require('./utils.js');
require('../../defineProperty-lChFfVqi.js');
require('../../typeof-D4ZZ_FlZ.js');

var useBreakpoints = function useBreakpoints(breakpointOverrides) {
  var getSnapshot = function getSnapshot() {
    return reactUtils_useBreakpoints_utils.getCurrentSize(window, breakpointOverrides);
  };
  var currentSize = react.useSyncExternalStore(reactUtils_useBreakpoints_utils.subscribe, getSnapshot);
  return {
    currentSize: currentSize,
    isSize: ramda.equals(currentSize)
  };
};

module.exports = useBreakpoints;
//# sourceMappingURL=index.js.map
