'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var ramda = require('ramda');
var zustand = require('zustand');

var useDisplayErrorPage = function useDisplayErrorPage() {
  return useErrorDisplayStore(ramda.prop("showErrorPage"));
};
var useErrorDisplayStore = zustand.create(function () {
  return {
    showErrorPage: false,
    statusCode: 404,
    failedApiUrl: "",
    failedApiPath: "",
    showRefreshRibbon: false
  };
});

exports.default = useDisplayErrorPage;
exports.useErrorDisplayStore = useErrorDisplayStore;
//# sourceMappingURL=useDisplayErrorPage.js.map
