import { _ as _defineProperty } from '../../defineProperty-CrCYjjU3.js';
import { useEffect } from 'react';
import { useQuery } from '@tanstack/react-query';
import { isNil } from 'ramda';
import { QUERY_CACHE_NAME_SPACE } from '../constants/constants.js';
import { getFromLocalStorage, setToLocalStorage } from '../../utils/general.js';
import '../../typeof-D-UKOauR.js';
import '../../objectWithoutProperties-DN7d1SzH.js';
import '../../slicedToArray-DmsZvA_9.js';
import '../../unsupportedIterableToArray-Dqz8Y8_I.js';
import '../../index-CoBEoJgD.js';
import 'i18next';
import '@bigbinary/neeto-cist';
import '@bigbinary/neetoui/Toastr';
import 'qs';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), true).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var localStorageQueryCache = {
  set: function set(key, data) {
    var cache = localStorageQueryCache.getAll();
    var newCache = _objectSpread(_objectSpread({}, cache), {}, _defineProperty({}, key, {
      data: data,
      modifiedAt: Date.now()
    }));
    setToLocalStorage(QUERY_CACHE_NAME_SPACE, newCache);
  },
  getAll: function getAll() {
    var cache = getFromLocalStorage(QUERY_CACHE_NAME_SPACE);
    if (!cache) return {};
    return cache;
  },
  get: function get(key) {
    return localStorageQueryCache.getAll()[key];
  }
};
var isOutdated = function isOutdated(localCache, staleTime) {
  if (isNil(localCache)) return true;
  if (isNil(staleTime)) return false;
  return localCache.modifiedAt <= Date.now() - staleTime;
};
var usePersistedQuery = function usePersistedQuery(queryKey, fetch, options) {
  var queryResult = useQuery(_objectSpread({
    queryKey: queryKey,
    queryFn: fetch
  }, options));
  var localCache = localStorageQueryCache.get(queryKey);
  useEffect(function () {
    if (!queryResult.isSuccess) return;
    localStorageQueryCache.set(queryKey, queryResult.data);
  }, [queryKey, queryResult.data, queryResult.isSuccess]);
  if (isOutdated(localCache, options === null || options === void 0 ? void 0 : options.staleTime)) {
    return _objectSpread(_objectSpread({}, queryResult), {}, {
      isFreshLoading: queryResult.isLoading
    });
  }
  return _objectSpread(_objectSpread({}, queryResult), {}, {
    data: queryResult.data || localCache.data,
    isFreshLoading: false
  });
};
usePersistedQuery.getCache = localStorageQueryCache.get;

export { usePersistedQuery as default };
//# sourceMappingURL=usePersistedQuery.js.map
